summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-print')
-rw-r--r--net-print/cnrdrvcups-lb/Manifest1
-rw-r--r--net-print/cnrdrvcups-lb/cnrdrvcups-lb-5.40.ebuild200
-rw-r--r--net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild2
-rw-r--r--net-print/foomatic-db/foomatic-db-4.0.20190226.ebuild4
-rw-r--r--net-print/hplip-plugin/Manifest1
-rw-r--r--net-print/hplip-plugin/hplip-plugin-3.21.8.ebuild73
-rw-r--r--net-print/hplip/Manifest1
-rw-r--r--net-print/hplip/hplip-3.21.8.ebuild288
8 files changed, 567 insertions, 3 deletions
diff --git a/net-print/cnrdrvcups-lb/Manifest b/net-print/cnrdrvcups-lb/Manifest
index 5b006fb3594..2a0335c7a95 100644
--- a/net-print/cnrdrvcups-lb/Manifest
+++ b/net-print/cnrdrvcups-lb/Manifest
@@ -1 +1,2 @@
DIST linux-UFRII-drv-v530-uken-12.tar.gz 188172378 BLAKE2B 9d069843bbd5fa693d584b1e1f9348ca2076656dff85fc6b34ca941c10221a48fc6119d7f2bf9c9bb8e4f512a0dabbd7d65f7fb86e16394f98ba80afc679998f SHA512 61f060a742c9e6cc7439f26fac63fbac33c96722ec80c604eca40716255920a65eab4cd6f592deee627a8c803776df2c0b8c3dbce9727e53862fa7551a172ebe
+DIST linux-UFRII-drv-v540-uken-08.tar.gz 188874055 BLAKE2B 150b917d20566de5658bfd46d06e2568924267a046e9083289878e0b51ab05744fefbcebd8e61694d937fd1dde769c0c8f06b6248eacebf3ac8d8706f7baa1f8 SHA512 c488fbaee081b3cd601282e737af0ce1d141a9ae940daa2335ef4da833cdb9fbdda3cc378f4e49b26700b36911dc7b142ef0665e1cacef505f91a666736e62dc
diff --git a/net-print/cnrdrvcups-lb/cnrdrvcups-lb-5.40.ebuild b/net-print/cnrdrvcups-lb/cnrdrvcups-lb-5.40.ebuild
new file mode 100644
index 00000000000..b4f74e408ad
--- /dev/null
+++ b/net-print/cnrdrvcups-lb/cnrdrvcups-lb-5.40.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools desktop flag-o-matic toolchain-funcs
+
+CANON_REL="08"
+DL_ID="8/0100007658/25"
+MY_PV="${PV//\./}"
+
+DESCRIPTION="Canon UFR II / LIPSLX Printer Driver for Linux"
+HOMEPAGE="https://www.canon-europe.com/support/products/imagerunner/"
+SRC_URI="https://gdlp01.c-wss.com/gds/${DL_ID}/linux-UFRII-drv-v${MY_PV}-uken-${CANON_REL}.tar.gz"
+
+LICENSE="Canon-UFR-II GPL-2 MIT"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libxml2:2
+ gnome-base/libglade:2.0
+ media-libs/jbigkit
+ media-libs/libjpeg-turbo
+ net-print/cups
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/gtk+:3
+ x11-libs/pango"
+RDEPEND="${DEPEND}
+ !net-print/cndrvcups-common-lb
+ !net-print/cndrvcups-lb"
+
+HTML_DOCS=(
+ "${WORKDIR}"/linux-UFRII-drv-v${MY_PV}-uken/Documents/README-ufr2-${PV//0}xUK.html
+ "${WORKDIR}"/linux-UFRII-drv-v${MY_PV}-uken/Documents/UsersGuide-ufr2-UK.html
+)
+
+S="${WORKDIR}/linux-UFRII-drv-v${MY_PV}-uken/Sources"
+
+common_op() {
+ local i
+ for i in backend buftool cngplp cnjbig rasterfilter; do
+ cd "${S}/cnrdrvcups-common-${PV}/${i}" ||
+ die "failed to switch dir to ${i}"
+ "${@}"
+ cd "${S}" || die "failed to switch dir back from ${i} to ${S}"
+ done
+}
+
+driver_op() {
+ local i
+ for i in cngplp cngplp/files cpca pdftocpca; do
+ cd "${S}/cnrdrvcups-lb-${PV}/${i}" ||
+ die "failed to switch dir to ${i}"
+ "${@}"
+ cd "${S}" || die "failed to switch dir back from ${i} to ${S}"
+ done
+}
+
+pkg_setup() {
+ QA_PREBUILT="/usr/bin/cnsetuputil2
+ /usr/bin/cnrsdrvufr2
+ /usr/bin/cnpkmoduleufr2r
+ /usr/bin/cnpkbidir
+ /usr/bin/cnpdfdrv
+ /usr/$(get_libdir)/libufr2filterr.so.1.0.0
+ /usr/$(get_libdir)/libColorGearCufr2.so.2.0.0
+ /usr/$(get_libdir)/libcnlbcmr.so.1.0
+ /usr/$(get_libdir)/libcanon_slimufr2.so.1.0.0
+ /usr/$(get_libdir)/libcanonufr2r.so.1.0.0
+ /usr/$(get_libdir)/libcaiowrapufr2.so.1.0.0
+ /usr/$(get_libdir)/libcaiocnpkbidir.so.1.0.0
+ /usr/$(get_libdir)/libcaepcmufr2.so.1.0"
+
+ QA_SONAME="/usr/$(get_libdir)/libcaiocnpkbidir.so.1.0.0"
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${WORKDIR}/linux-UFRII-drv-v${MY_PV}-uken/Sources/" || die
+ unpack ./${P}-1.tar.gz
+}
+
+src_prepare() {
+ default
+
+ common_op mv configure.in configure.ac || die "failed to move configure.in"
+ driver_op mv configure.in configure.ac || die "failed to move configure.in"
+
+ common_op sed -i -e 's/configure.in/configure.ac/' configure.ac || die
+ driver_op sed -i -e 's/configure.in/configure.ac/' configure.ac || die
+
+ # This should work with autoreconf
+ export "LIBS=-lgtk-x11-2.0 -lgobject-2.0 -lglib-2.0 -lgmodule-2.0"
+
+ # Other components already depend on compiled product
+ append-ldflags -L"${S}/cnrdrvcups-common-${PV}/buftool"
+
+ common_op eautoreconf
+ driver_op eautoreconf
+
+ # Fix a QA issue with .desktop file,
+ sed -i 's/Application;Utility/Utility/g' "${S}"/cnrdrvcups-utility-${PV}/data/cnsetuputil2.desktop ||
+ die "Failed to modify cnsetuputil2.desktop file."
+
+ append-cflags -fcommon
+
+ # For some reason, @AR@ is defined everywhere else correctly, but not here.
+ sed -i -e "s/AR = ar/AR = $(tc-getAR)/g" ./cnrdrvcups-common-${PV}/buftool/Makefile.in || die
+}
+
+src_configure() {
+ common_op econf
+ driver_op econf
+}
+
+src_compile() {
+ common_op emake
+ driver_op emake
+}
+
+src_install() {
+ common_op emake DESTDIR="${D}" install COMMON_SUFFIX=2
+ driver_op emake DESTDIR="${D}" install COMMON_SUFFIX=2
+
+ insinto /usr/share/cups
+ doins "${S}"/cnrdrvcups-common-${PV}/Rule/canon-laser-printer_ufr2.usb-quirks
+
+ if use amd64; then
+ cd "${S}"/lib/libs64/intel/ || die "failed to switch into libs64"
+ elif use x86; then
+ cd "${S}"/lib/libs32/intel/ || die "failed to switch into libs32"
+ else
+ die "I don't know what directory to switch into!"
+ fi
+
+ dolib.so libcaepcmufr2.so.1.0 libcaiocnpkbidir.so.1.0.0 \
+ libcaiowrapufr2.so.1.0.0 libcanonufr2r.so.1.0.0 \
+ libcanon_slimufr2.so.1.0.0 libcnlbcmr.so.1.0 \
+ libColorGearCufr2.so.2.0.0 libufr2filterr.so.1.0.0
+
+ dosym libcaepcmufr2.so.1.0 /usr/$(get_libdir)/libcaepcmufr2.so
+ dosym libcaepcmufr2.so.1.0 /usr/$(get_libdir)/libcaepcmufr2.so.1
+
+ dosym libcaiocnpkbidir.so.1.0.0 /usr/$(get_libdir)/libcaiocnpkbidir.so
+ dosym libcaiocnpkbidir.so.1.0.0 /usr/$(get_libdir)/libcaiocnpkbidir.so.1
+
+ dosym libcaiowrapufr2.so.1.0.0 /usr/$(get_libdir)/libcaiowrapufr2.so
+ dosym libcaiowrapufr2.so.1.0.0 /usr/$(get_libdir)/libcaiowrapufr2.so.1
+
+ dosym libcanonufr2r.so.1.0.0 /usr/$(get_libdir)/libcanonufr2r.so
+ dosym libcanonufr2r.so.1.0.0 /usr/$(get_libdir)/libcanonufr2r.so.1
+
+ dosym libcanon_slimufr2.so.1.0.0 /usr/$(get_libdir)/libcanon_slimufr2.so
+ dosym libcanon_slimufr2.so.1.0.0 /usr/$(get_libdir)/libcanon_slimufr2.so.1
+
+ dosym libcnlbcmr.so.1.0 /usr/$(get_libdir)/libcnlbcmr.so
+ dosym libcnlbcmr.so.1.0 /usr/$(get_libdir)/libcnlbcmr.so.1
+
+ dosym libColorGearCufr2.so.2.0.0 /usr/$(get_libdir)/libColorGearCufr2.so
+ dosym libColorGearCufr2.so.2.0.0 /usr/$(get_libdir)/libColorGearCufr2.so.2
+
+ dosym libufr2filterr.so.1.0.0 /usr/$(get_libdir)/libufr2filterr.so
+ dosym libufr2filterr.so.1.0.0 /usr/$(get_libdir)/libufr2filterr.so.1
+
+ dobin cnpdfdrv cnpkbidir cnpkmoduleufr2r cnrsdrvufr2 cnsetuputil2
+
+ insinto /usr/share/cnpkbidir
+ doins ./cnpkbidir_info*
+
+ insinto /usr/share/ufr2filterr
+ doins ./ThLB*
+
+ cd "${S}" || die "Failed to switch back into ${S} during installation."
+
+ dosym ../../../$(get_libdir)/cups/backend/cnusb /usr/libexec/cups/backend/cnusb
+ dosym ../../../$(get_libdir)/cups/filter/pdftocpca /usr/libexec/cups/filter/pdftocpca
+ dosym ../../../$(get_libdir)/cups/filter/rastertoufr2 /usr/libexec/cups/filter/rastertoufr2
+
+ insinto /usr/share/caepcm/ufr2
+ doins -r "${S}"/lib/data/ufr2/
+
+ insinto /usr/share/cups/model
+ doins ${P}/ppd/*.ppd
+
+ domenu ./cnrdrvcups-utility-${PV}/data/cnsetuputil2.desktop
+ doicon ./cnrdrvcups-utility-${PV}/data/cnsetuputil.png
+
+ einstalldocs
+ newdoc "${S}"/cnrdrvcups-common-${PV}/README README.common
+ newdoc "${S}"/cnrdrvcups-common-${PV}/cngplp/README README.cngplp.common
+ newdoc "${S}"/cnrdrvcups-lb-${PV}/README README.lb
+ newdoc "${S}"/cnrdrvcups-lb-${PV}/cngplp/README README.cngplp.driver
+
+ find "${D}" -name '*.la' -type f -delete || die
+}
diff --git a/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild b/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild
index a27e4fb17d9..d95f554289f 100644
--- a/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild
+++ b/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild
@@ -12,7 +12,7 @@ S=${WORKDIR}/${PN}-${PV/_}
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ppc ~ppc64 x86"
IUSE="+ppds"
DEPEND="net-print/cups"
diff --git a/net-print/foomatic-db/foomatic-db-4.0.20190226.ebuild b/net-print/foomatic-db/foomatic-db-4.0.20190226.ebuild
index dc60de17c67..e487f17abaf 100644
--- a/net-print/foomatic-db/foomatic-db-4.0.20190226.ebuild
+++ b/net-print/foomatic-db/foomatic-db-4.0.20190226.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -11,7 +11,7 @@ SRC_URI="http://www.openprinting.org/download/foomatic/${PN}-$(replace_version_s
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86"
IUSE=""
DEPEND=""
diff --git a/net-print/hplip-plugin/Manifest b/net-print/hplip-plugin/Manifest
index e06eb63eb4e..3baee2c5fbd 100644
--- a/net-print/hplip-plugin/Manifest
+++ b/net-print/hplip-plugin/Manifest
@@ -1,2 +1,3 @@
DIST hplip-3.20.11-plugin.run 11514293 BLAKE2B b3b7698a45e5e68a25ec1216e736484d26546b657f4a519a153acf0280847667e7ca81afc988f722668746281857d51d9e1703857514ffe5b57dea85f2bae4d3 SHA512 9075c1ac8e8f6e12d33b81b633025259f54352ea00271eec07ee898fd9a164445519608fc9ea61a7157845a4a03f87c28f486c7994f0d7db81d11d3fe51f1876
DIST hplip-3.21.6-plugin.run 11514013 BLAKE2B 3ce0aea3642579838fc683a26a2ef16ce3477b3b664487764895504d1f488fa1246ece0ee19889403e6f22f18ebbe16a7ccd689ae6bbc48197179365dbeb672d SHA512 aa5620687a4b3ac1ff4c8278ac8d51bb38cedf6ea79782bd7c11e71beb0fe75672761874f271ff33e73a394f2a3aa04e1976455688b0f850b57ad7bc1eea3af8
+DIST hplip-3.21.8-plugin.run 11513942 BLAKE2B cbc5614b28a2032ade7fe9906ba5e93c773129121c5b6be950d8d04fd3edeaa97224cee6db4db72fbee6312151d4340b54c04753d03fea36a1772c961a3a0eba SHA512 5042e210d9c084e73a971d605a2eee5e96f2309101859fca09efbd09d60b6ae4959e54cdb334589f36a7aea16fb9eb23eb02bf2b330fab2e4c5a710cb0ec55e1
diff --git a/net-print/hplip-plugin/hplip-plugin-3.21.8.ebuild b/net-print/hplip-plugin/hplip-plugin-3.21.8.ebuild
new file mode 100644
index 00000000000..66a47479549
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.21.8.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing/plugins"
+SRC_URI="https://developers.hp.com/sites/default/files/hplip-${PV}-plugin.run"
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="orblite"
+
+RDEPEND="
+ ~net-print/hplip-${PV}
+ virtual/udev
+ orblite? (
+ media-gfx/sane-backends
+ >=sys-libs/glibc-2.26
+ virtual/libusb:0
+ )
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PREBUILT="${HPLIP_HOME}/*.so"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_install() {
+ local hplip_arch
+ case "${ARCH}" in
+ amd64) hplip_arch="x86_64" ;;
+ arm) hplip_arch="arm32" ;;
+ arm64) hplip_arch="arm64" ;;
+ x86) hplip_arch="x86_32" ;;
+ *) die "Unsupported architecture." ;;
+ esac
+
+ insinto "${HPLIP_HOME}"/data/firmware
+ doins *.fw.gz
+
+ for plugin in *-${hplip_arch}.so; do
+ local plugin_type=prnt
+ case "${plugin}" in
+ bb_orblite-*)
+ use orblite || continue
+ plugin_type=scan ;;
+ bb_*)
+ plugin_type=scan ;;
+ fax_*)
+ plugin_type=fax ;;
+ esac
+
+ exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+ newexe ${plugin} ${plugin/-${hplip_arch}}
+ done
+
+ insinto /var/lib/hp
+ newins - hplip.state <<-_EOF_
+ [plugin]
+ installed = 1
+ eula = 1
+ version = ${PV}
+ _EOF_
+}
diff --git a/net-print/hplip/Manifest b/net-print/hplip/Manifest
index 721232f8417..78462a3f027 100644
--- a/net-print/hplip/Manifest
+++ b/net-print/hplip/Manifest
@@ -2,3 +2,4 @@ DIST hplip-3.20.11-patches-2.tar.xz 18140 BLAKE2B a0271d0c6fcfaa53c68ab00c4c6cfc
DIST hplip-3.20.11.tar.gz 26301441 BLAKE2B 14667f33cc50b2887c8434ada7327a82e16b9acbcdc75d3a50c0261ec9aef3fada9be81e6c0cbdfb4d29914630799c6406893644386db99c0ce86245cca38cc2 SHA512 f583fb4140a29c5e21956c3e51fe3620baa65d33b40447af419d7fc61473a1148a1873216a84e89be785b155ee8e9aebd5e3eb19d2ded82b8415b1a35de1b55d
DIST hplip-3.21.4-patches-1.tar.xz 17812 BLAKE2B d38584eb04e5e8d886cd4c8ecd05c31f3a32db185c87eed8a6593f3f2d1368a284bbef36f9d78b2689862165cd132597a3d616aaf5411e875f97de45c57e197e SHA512 fd7438353af8b05e100b5ef16fedcc6bf9257d49fe7d5a12a1a2b3b26965c2ebcd613788e7f585f7c0bd3a97e83381e36f3915eabd16a1e8c4ac50c1129804e8
DIST hplip-3.21.6.tar.gz 27026295 BLAKE2B 12588ee31bfad45842bd09f8aa0e653bbdb3c80358150b15d391bb55077e52870a5fb047ae0d4c98d687409b5d244da4ee08ce56a7946ef67088de1493a0455b SHA512 08d0a93089669aa04b158aac8aa339da0278824ff2d9ecfcd967ed21ae5c4a1092910e103696e01dd230b8367471528687a4d4623759a561962116758a0b093c
+DIST hplip-3.21.8.tar.gz 27085456 BLAKE2B a3d5dc664c9e87a0a02a4bd5854c6e207a2d661aef70e3ac1cff023bacdd56a004d90caa9897eb9887a16362f73b93b30d8f52e592813e2239448fb22d549b9e SHA512 13802359a2a4510243fa81a27c3047f1fc54c25d53597011a2d5a6933121ae5aa1b020790d7d1a8a0970d5cef18e7e57b60afcbbe079dcf6219e2e64ed6675d4
diff --git a/net-print/hplip/hplip-3.21.8.ebuild b/net-print/hplip/hplip-3.21.8.ebuild
new file mode 100644
index 00000000000..e3f7c820026
--- /dev/null
+++ b/net-print/hplip/hplip-3.21.8.ebuild
@@ -0,0 +1,288 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9} )
+PYTHON_REQ_USE="threads(+),xml"
+
+# 14 and 15 spit out a lot of warnings about subdirs
+WANT_AUTOMAKE="1.13"
+
+inherit autotools linux-info python-single-r1 readme.gentoo-r1 udev
+
+DESCRIPTION="HP Linux Imaging and Printing - Print, scan, fax drivers and service tools"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing"
+SRC_URI="mirror://sourceforge/hplip/${P}.tar.gz
+ https://dev.gentoo.org/~billie/distfiles/${PN}-3.21.4-patches-1.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+IUSE="doc fax +hpcups hpijs kde libnotify libusb0 minimal parport policykit qt5 scanner +snmp static-ppds X"
+
+COMMON_DEPEND="
+ net-print/cups
+ sys-apps/dbus
+ virtual/jpeg:0
+ hpijs? ( net-print/cups-filters[foomatic] )
+ !libusb0? ( virtual/libusb:1 )
+ libusb0? ( virtual/libusb:0 )
+ ${PYTHON_DEPS}
+ !minimal? (
+ scanner? (
+ media-gfx/sane-backends
+ )
+ snmp? (
+ dev-libs/openssl:0=
+ net-analyzer/net-snmp:=
+ net-dns/avahi[dbus,python,${PYTHON_SINGLE_USEDEP}]
+ )
+ )
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ ${COMMON_DEPEND}
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ app-text/ghostscript-gpl
+ !minimal? (
+ $(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]' 'python3*')
+ kernel_linux? ( virtual/udev )
+ $(python_gen_cond_dep '
+ >=dev-python/dbus-python-1.2.0-r1[${PYTHON_USEDEP}]
+ dev-python/distro[${PYTHON_USEDEP}]
+ fax? ( dev-python/reportlab[${PYTHON_USEDEP}] )
+ qt5? (
+ >=dev-python/PyQt5-5.5.1[dbus,gui,widgets,${PYTHON_USEDEP}]
+ libnotify? ( dev-python/notify2[${PYTHON_USEDEP}] )
+ )
+ scanner? (
+ >=dev-python/reportlab-3.2[${PYTHON_USEDEP}]
+ >=dev-python/pillow-3.1.1[${PYTHON_USEDEP}]
+ X? (
+ || (
+ kde? ( kde-misc/skanlite )
+ media-gfx/xsane
+ media-gfx/sane-frontends
+ )
+ )
+ )
+ ')
+ )
+ policykit? ( sys-auth/polkit )
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+PATCHES=(
+ "${WORKDIR}/patches"
+)
+
+CONFIG_CHECK="~PARPORT ~PPDEV"
+ERROR_PARPORT="Please make sure kernel parallel port support is enabled (PARPORT and PPDEV)."
+
+#DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+For more information on setting up your printer please take
+a look at the hplip section of the gentoo printing guide:
+https://wiki.gentoo.org/wiki/Printing
+"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+
+ use scanner && ! use X && ewarn "You need USE=X for the scanner GUI."
+
+ use parport && linux-info_pkg_setup
+
+ if use minimal ; then
+ ewarn "Installing driver portions only, make sure you know what you are doing."
+ ewarn "Depending on the USE flags set for hpcups or hpijs the appropiate driver"
+ ewarn "is installed. If both USE flags are set hpijs overrides hpcups."
+ ewarn "This also disables fax, network, scanner and gui support!"
+ fi
+
+ if ! use hpcups && ! use hpijs ; then
+ ewarn "Installing neither hpcups (USE=-hpcups) nor hpijs (USE=-hpijs) driver,"
+ ewarn "which is probably not what you want."
+ ewarn "You will almost certainly not be able to print."
+ fi
+}
+
+src_prepare() {
+ default
+
+ python_fix_shebang .
+
+ # Make desktop files follow the specification
+ # Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=443680
+ # Upstream bug: https://bugs.launchpad.net/hplip/+bug/1080324
+ sed -i -e '/^Categories=/s/Application;//' \
+ -e '/^Encoding=.*/d' hplip.desktop.in || die
+ sed -i -e '/^Categories=/s/Application;//' \
+ -e '/^Version=.*/d' \
+ -e '/^Comment=.*/d' hplip-systray.desktop.in || die
+
+ # Fix for Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=345725
+ # Upstream bug: https://bugs.launchpad.net/hplip/+bug/880847,
+ # https://bugs.launchpad.net/hplip/+bug/500086
+ local udevdir=$(get_udevdir)
+ sed -i -e "s|/etc/udev|${udevdir}|g" \
+ $(find . -type f -exec grep -l /etc/udev {} +) || die
+
+ # Force recognition of Gentoo distro by hp-check
+ sed -i \
+ -e "s:file('/etc/issue', 'r').read():'Gentoo':" \
+ installer/core_install.py || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local drv_build minimal_build
+
+ if use hpcups ; then
+ drv_build="$(use_enable hpcups hpcups-install)"
+ if use static-ppds ; then
+ drv_build="${drv_build} --enable-cups-ppd-install"
+ drv_build="${drv_build} --disable-cups-drv-install"
+ else
+ drv_build="${drv_build} --enable-cups-drv-install"
+ drv_build="${drv_build} --disable-cups-ppd-install"
+ fi
+ else
+ drv_build="--disable-hpcups-install"
+ drv_build="${drv_build} --disable-cups-drv-install"
+ drv_build="${drv_build} --disable-cups-ppd-install"
+ fi
+
+ if use hpijs ; then
+ drv_build="${drv_build} $(use_enable hpijs hpijs-install)"
+ if use static-ppds ; then
+ drv_build="${drv_build} --enable-foomatic-ppd-install"
+ drv_build="${drv_build} --disable-foomatic-drv-install"
+ else
+ drv_build="${drv_build} --enable-foomatic-drv-install"
+ drv_build="${drv_build} --disable-foomatic-ppd-install"
+ fi
+ else
+ drv_build="${drv_build} --disable-hpijs-install"
+ drv_build="${drv_build} --disable-foomatic-drv-install"
+ drv_build="${drv_build} --disable-foomatic-ppd-install"
+ fi
+
+ if use minimal ; then
+ if use hpijs ; then
+ minimal_build="--enable-hpijs-only-build"
+ else
+ minimal_build="--disable-hpijs-only-build"
+ fi
+ if use hpcups ; then
+ minimal_build="${minimal_build} --enable-hpcups-only-build"
+ else
+ minimal_build="${minimal_build} --disable-hpcups-only-build"
+ fi
+ minimal_build="${minimal_build} --disable-fax-build"
+ minimal_build="${minimal_build} --disable-network-build"
+ minimal_build="${minimal_build} --disable-scan-build"
+ minimal_build="${minimal_build} --disable-gui-build"
+ else
+ if use fax ; then
+ minimal_build="${minimal_build} --enable-fax-build"
+ else
+ minimal_build="${minimal_build} --disable-fax-build"
+ fi
+ if use snmp ; then
+ minimal_build="${minimal_build} --enable-network-build"
+ else
+ minimal_build="${minimal_build} --disable-network-build"
+ fi
+ if use scanner ; then
+ minimal_build="${minimal_build} --enable-scan-build"
+ else
+ minimal_build="${minimal_build} --disable-scan-build"
+ fi
+ if use qt5 ; then
+ minimal_build="${minimal_build} --enable-qt5"
+ minimal_build="${minimal_build} --enable-gui-build"
+ else
+ minimal_build="${minimal_build} --disable-gui-build"
+ minimal_build="${minimal_build} --disable-qt5"
+ fi
+ fi
+
+ # disable class driver for now
+ econf \
+ --disable-class-driver \
+ --disable-cups11-build \
+ --disable-foomatic-rip-hplip-install \
+ --disable-imageProcessor-build \
+ --disable-lite-build \
+ --disable-shadow-build \
+ --disable-qt3 \
+ --disable-qt4 \
+ --disable-udev_sysfs_rules \
+ --with-cupsbackenddir=$(cups-config --serverbin)/backend \
+ --with-cupsfilterdir=$(cups-config --serverbin)/filter \
+ --with-docdir=/usr/share/doc/${PF} \
+ --with-htmldir=/usr/share/doc/${PF}/html \
+ --enable-hpps-install \
+ --enable-dbus-build \
+ ${drv_build} \
+ ${minimal_build} \
+ $(use_enable doc doc-build) \
+ $(use_enable libusb0 libusb01_build) \
+ $(use_enable parport pp-build) \
+ $(use_enable policykit)
+
+ # hpijs ppds are created at configure time but are not installed (3.17.11)
+
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+ #local i
+ #for i in ppd/hpijs/*.ppd.gz ; do
+ # rm -f ${i}.temp || die
+ # gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+ # gzip > ${i}.temp || die
+ # mv ${i}.temp ${i} || die
+ #done
+}
+
+src_install() {
+ # Disable parallel install
+ # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=578018
+ emake -j1 DESTDIR="${D}" install
+ einstalldocs
+ # default
+
+ # Installed by sane-backends
+ # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=201023
+ rm -f "${ED}"/etc/sane.d/dll.conf || die
+
+ # Remove desktop and autostart files
+ # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=638770
+ use qt5 || {
+ rm -Rf "${ED}"/usr/share/applications "${ED}"/etc/xdg
+ }
+
+ rm -f "${ED}"/usr/share/doc/${PF}/{copyright,README_LIBJPG,COPYING} || die
+ rmdir --ignore-fail-on-non-empty "${ED}"/usr/share/doc/${PF}/ || die
+
+ # Remove hal fdi files
+ rm -rf "${ED}"/usr/share/hal || die
+
+ find "${D}" -name '*.la' -delete || die
+
+ python_optimize "${ED}"/usr/share/hplip
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}